Subject: Ticket Assigned - Returns
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Wed, 31 Mar 2021 01:32:38 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I put in a return request 1000580090 for order 9637744291 on 1st March. It is still awaiting collection despite multiple emails I have sent to the ‘Support Team’ via [email-masked] I am highly concerned that this will not be addressed, and considering other companies such as Namshi, Mumzworld etc offer immediate returns the service from Babyshop is not acceptable and deters me from using or recommending the company in the future. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2329437